WordPress在其官方BLOG 上颁发,就要二零一一年终前,截止对PHP及MYSQL4帮助。

香港(Hong Kong卡塔尔国时间7月十七日午后音信,据外国媒体电视发表,WordPress昨天经过官方博客发表,2008年末公布的WordPress
3.1将成最后五个支撑PHP 4和MySQL 4的版本。后年上四个月公布的WordPress
3.2则须求持有PHP 5.2或MySQL 5.0.15或上述版本。

WordPress
开垦者一贯从事于让WordPress能够运维于更加多的主机意况中,能够让顾客私自地接收虚构主机。不过时过境迁,以往的虚构主机景况变迁了无数,为了越来越好地运维WordPress,开垦团队调节改动政策:从WordPress
3.2开头,将不再扶助PHP 4和MySQL 4主机情况。
首先要证实的是,就要于二零零六年终发布的WordPress 3.1,仍将支撑PHP
4情状,也将是终极三个帮忙PHP 4的本子。 布置于二〇一一年上半年发布的WordPress
3.2,所急需的PHP最低版本将是5.2。为何选取PHP
5.2?依据查鲜明示,超越二分之大器晚成客商所选择的主机都高于这么些版本,並且包含了 PHP5
开始的一段时期版本所未有的第一成效。同期,Drupal和Joomla下一本子所必要的PHP最低版本也是PHP5.2。
依据检察,方今独有11%的顾客,所运用的是PHP
4遇到。方今的大部主机都帮助PHP 5.2,有个别还要扶持PHP
4和PHP5的主机,需求您在主机调整种类里激活PHP 5.2就能够。由此,相信到
WordPress 3.2 发表之时,使用PHP 4的顾客将越加削减。 WordPress
3.1依旧能够并且在MySQL 4条件下运维。近些日子依然有6%的顾客接纳MySQL
4。在WordPress 3.2及未来版本中,所急需的MySQL最低版本MySQL 5.0.15。
因而,假诺你所选择的主机不扶植PHP 5.2及MySQL
5.0.15,你将不可能升高到WordPress
3.2。WordPress内置的修正功用也将截留你进级。倘诺您不分明你的主机是还是不是能够帮忙现在的WordPress
3.2,你可以下载那一个Health
Check插件测量检验一下。借使您的主机不扶植,那就应当尽早思谋换多个扶植WordPress
3.2的新主机。随着运维条件的进级换代,WordPress也将会给我们带来一些新的职能,新的体验。

预测二零一四年年末将公布的WordPress 3.1,将是终极一个支撑 PHP 4以致 MySQL
4的本子。 二零一三年上四个月将生产WordPress 3.2,该版本将最低要求为PHP 5.2
和MySQL 5.0或上述版本。作出那样的主宰的原故如下:
1、近日唯有11%的顾客在采纳PHP 5.2之下的版本。
6%的WordPrss客户在行使MySQL
4。WordPress以为随着年华的改观,使用低版本的顾客将逐级减小。 2、PHP5.2
比较开始的一段时期的PHP 5版本有不小的功效匡正。 3、
而Drupal和Joomla等类型在今后张望发布的新本子也设置为PHP
5.2为系统布局最低须要。
如若顾客在选用的主机配置意况风度翩翩旦低档相关供给,将不可能晋升到WordPress
3.2。

WordPress代表,二零零六年末发布的WordPress 3.1将产生最终一个支撑PHP
4的本子。将于二〇一二年上四个月发表的WordPress 3.2最低必要运用PHP
5.2,因为“那是大大多WordPress客户正在采用的本子,并且对从前的PHP
5张开了实质性校正”。而Drupal和Joomla等内容管理种类就要于二零一两年晚些时候发表的风行版本也将PHP
5.2设定为压低供给。

为了让客商鲜明近年来选择主机的连锁版本,WordPrss也提供了黄金时代款名称为”Health
Check”的插件,客商能够手工业进行下载也许接收插件自动安装工具,来援助顾客判别当前主机是不是满意WordPress 3.2的布置供给。

数码显示,WordPress顾客中方今唯有11%用到PHP
5.2之下版本。在这里些客户中,其实有众多主机已经足以协理PHP
5.2,只需求在调控面板中激活就能够。WordPress以为,以往利用PHP
5.2之下版本的客户还将持续压缩。

除去,在WordPress 3.1之后的本子也将告生机勃勃段落对MySQL
4的帮忙。近来只有不到6%的WordPress顾客选拔MySQL 4。WordPress
3.2必定要使用MySQL 5.0.15及以上版本。

万后生可畏顾客的托管碰到不知足上述必要,便力所不及进级到WordPress
3.2。为了便于客户判别,WordPress还提供了贰个名称为“Health
Check”的插件来增加帮衬客商理解当下的托管主机是或不是满意WordPress
3.2的计划需求。

3.1将成最后贰个辅助PHP 4和MySQL 4的版本…

相关文章